2017-11-17 20:51 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003191FSSCPgraphicspublic2017-03-18 14:10
Reporterdavidcgc 
Assigned ToSwifty 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSOS XOS Version10.12.3
Product Version3.7.5 
Target VersionFixed in Version3.8 
Summary0003191: No lighting effects visible on models, many surfacing glitches
DescriptionUnder 3.7.5 in Diaspora, all ships appear to be flat-shaded with ambient light. There are no lighting, reflection, specular, luminance, or any other effects visible. Transparent surfaces render as flat gray, as do missiles. Radar icons have a colored overlay (green for friendly, red for enemy), post-processing bloom and grain are not present, and the ship silhouette in the lower right has a thick, aliased outline.
Additional InformationSeen in 28 February 2017 - Revision 1f648f5 for Mac. OS version is 10.12.3.

I doubled back to see if I could find where the issue cropped up, checking old builds in monthly increments. It always happened until I reached the beginning of September/end of August, when builds started crashing on launch, so this seems to be a 3.7.5 thing.

I tried various flag settings without any effect. I'm able to jump between 3.7.4 and 3.7.5 with the launcher with identical settings, and the bug always appears in 3.7.5 and not 3.7.4. My current settings are:

/Applications/Diaspora/fs2_open_3_7_5_20170228_1f648f5_x64.app -missile_lighting
-3dshockwave -post_process -soft_particles -fxaa -fb_explosions -fb_thrusters
-enable_shadows -snd_preload -ambient_factor 90 -spec_exp 0.7 -spec_tube 1.0
-spec_point 0.7 -spec_static 1.0 -ogl_spec 15 -bloom_intensity 20

When I attempted to create a debug log, I immediately got this error, and the fs2_open app minimized itself into the dock. When I tried to maximize it, it'd either minimize itself again, or freeze on a black screen.

Warning: hud_gauges.tbl(line 772):
Warning: Detected invalid tokens while parsing HUD gauges: [Text Moves: true]
File: parselo.cpp
Line: 288

  1 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x000000010a33ceea _ZN2os7dialogs14ReleaseWarningEPKciS2_z + 1274
  2 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x000000010a33d363 _ZN2os7dialogs7WarningEPKciS2_z + 211
  3 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x000000010a348201 _Z13error_displayiPKcz + 1361
  4 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x000000010a142270 _Z20parse_hud_gauges_tblPKc + 2960
  5 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x000000010a142f09 _Z18hud_positions_initv + 89
  6 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x0000000109fe7646 _Z9game_initv + 3782
  7 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x0000000109ff4ac8 _Z9game_mainiPPc + 152
  8 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x0000000109ff63b0 _Z11actual_mainiPPc + 560
  9 fs2_open_3_7_5_20170228_1f648f5_x64-FASTDBG 0x0000000109ff6602 main + 34
  10 libdyld.dylib 0x00007fffa1730255 start + 1


This is the debug log that was created

==========================================================================
DEBUG SPEW: No debug_filter.cfg found, so only general, error, and warning
categories can be shown and no debug_filter.cfg info will be saved.
==========================================================================
  Initializing SDL...
FreeSpace 2 Open version: 3.7.5.20170228_1f648f5
Passed cmdline options:
  <none>
Building file index...
Found root pack '/Applications/Diaspora/LinerSkins.vp' with a checksum of 0x4f05a1d1
Found root pack '/Applications/Diaspora/R1.1_Patch.vp' with a checksum of 0x330e0c8a
Found root pack '/Applications/Diaspora/R1_Core.vp' with a checksum of 0x2b0863f9
Found root pack '/Applications/Diaspora/R1_Effects.vp' with a checksum of 0xbd1d2fde
Found root pack '/Applications/Diaspora/R1_Interface.vp' with a checksum of 0x2ed2245f
Found root pack '/Applications/Diaspora/R1_Movies.vp' with a checksum of 0x10d8b681
Found root pack '/Applications/Diaspora/R1_Ships.vp' with a checksum of 0x07315d6d
Found root pack '/Applications/Diaspora/R1_Sound.vp' with a checksum of 0xdc928568
Found root pack '/Applications/Diaspora/R1_Textures.vp' with a checksum of 0xdd208c33
Found root pack '/Applications/Diaspora/data/missions/Aerilon_is_Burning_Public.vp' with a checksum of 0x84c722ea
Searching root '/Users/davidg/Library/Application Support/HardLightProductions/FreeSpaceOpen/' ... 0 files
Searching root '/Applications/Diaspora/' ... 32 files
Searching root pack '/Applications/Diaspora/LinerSkins.vp' ... 5 files
Searching root pack '/Applications/Diaspora/R1.1_Patch.vp' ... 213 files
Searching root pack '/Applications/Diaspora/R1_Core.vp' ... 86 files
Searching root pack '/Applications/Diaspora/R1_Effects.vp' ... 2451 files
Searching root pack '/Applications/Diaspora/R1_Interface.vp' ... 1518 files
Searching root pack '/Applications/Diaspora/R1_Movies.vp' ... 1432 files
Searching root pack '/Applications/Diaspora/R1_Ships.vp' ... 353 files
Searching root pack '/Applications/Diaspora/R1_Sound.vp' ... 1367 files
Searching root pack '/Applications/Diaspora/R1_Textures.vp' ... 574 files
Searching root pack '/Applications/Diaspora/data/missions/Aerilon_is_Burning_Public.vp' ... 199 files
Found 12 roots and 8230 files.
AutoLang: Language auto-detection successful...
Setting language to English
Game Settings Table: Using Standard Loops For SEXP Arguments
Game Settings Table: Using standard event chaining behavior
Game Settings Table: External shaders are DISABLED
Game Settings Table: Using Reversed Loops For SEXP Arguments
Initializing OpenAL...
  OpenAL Vendor : Apple Computer Inc.
  OpenAL Renderer : Software
  OpenAL Version : 1.1

  Found extension "AL_EXT_float32".
You are not using OpenAL Soft. Disabling enhanced sound.

  Sample rate: 0 (44100)
  EFX enabled: NO
  Playback device: Built-in Output
  Capture device: Built-in Microphone
... OpenAL successfully initialized!
Failed to init speech
  Initializing SDL video...
Initializing OpenGL graphics device at 2560x1440 with 32-bit color...
  Requested SDL Pixel values = R: 8, G: 8, B: 8, depth: 24, stencil: 8, double-buffer: 1, FSAA: 0
SDL: Creating window at 0,0 because window has same size as desktop.
  Requested SDL Pixel values = R: 8, G: 8, B: 8, depth: 24, stencil: 8, double-buffer: 1, FSAA: 0
  Actual SDL Video values = R: 8, G: 8, B: 8, depth: 24, stencil: 8, double-buffer: 1, FSAA: 0
  OpenGL Vendor : ATI Technologies Inc.
  OpenGL Renderer : AMD Radeon R9 M395X OpenGL Engine
  OpenGL Version : 4.1 ATI-1.48.21

Compiling new shader:
    Particle Effects
   Loading built-in default shader for: effect-v.sdr
   Loading built-in default shader for: effect-particle-f.sdr
Shader Variant Features:
Compiling new shader:
    Particle Effects
   Loading built-in default shader for: effect-v.sdr
   Loading built-in default shader for: effect-particle-f.sdr
   Loading built-in default shader for: effect-screen-g.sdr
Shader Variant Features:
    Geometry shader point-based particles
Compiling new shader:
    Distortion Effects
   Loading built-in default shader for: effect-distort-v.sdr
   Loading built-in default shader for: effect-distort-f.sdr
Shader Variant Features:
Compiling new shader:
    Shield Decals
   Loading built-in default shader for: shield-impact-v.sdr
   Loading built-in default shader for: shield-impact-f.sdr
Shader Variant Features:
Compiling new shader:
    Deferred Lighting
   Loading built-in default shader for: deferred-v.sdr
   Loading built-in default shader for: deferred-f.sdr
WARNING: Failed to find uniform 'specFactor'.
Shader Variant Features:
Compiling new shader:
    Clear Deferred Lighting Buffer
   Loading built-in default shader for: deferred-clear-v.sdr
   Loading built-in default shader for: deferred-clear-f.sdr
Shader Variant Features:
Compiling passthrough shader...
Compiling new shader:
    Passthrough
   Loading built-in default shader for: passthrough-v.sdr
   Loading built-in default shader for: passthrough-f.sdr
Shader Variant Features:

Compiling passthrough shader...
  Max texture units: 2 (16)
  Max client texture states: 2 (1)
  Max elements vertices: 1048575
  Max elements indices: 150000
  Max texture size: 16384x16384
  Max render buffer size: 16384x16384
  Can use compressed textures: YES
  Texture compression available: YES
  Post-processing enabled: NO
  Using trilinear texture filter.
  OpenGL Shader Version: 4.10
... OpenGL init is complete!
Initializing path renderer...
Size of bitmap info = 1039 KB
Size of bitmap extra info = 64 bytes
ANI cursorweb with size 24x24 (25.0% wasted)
ANI cursorweb.ani with size 24x24 (25.0% wasted)
GRAPHICS: Initializing default colors...
SCRIPTING: Beginning initialization sequence...
SCRIPTING: Beginning Lua initialization...
LUA: Opening LUA state...
LUA: Initializing base Lua libraries...
LUA: Beginning ADE initialization
ADE: Initializing enumeration constants...
ADE: Assigning Lua session...
SCRIPTING: Beginning main hook parse sequence....
Wokka! Error opening file (scripting.tbl)!
TABLES: Unable to parse 'scripting.tbl'! Error message = Failed to open file.
TBM => Starting parse of 'tubeLaunch-sct.tbm' ...
TBM => Starting parse of 'PitchYawBankLocked-sct.tbm' ...
TBM => Starting parse of 'flakSnd-sct.tbm' ...
TBM => Starting parse of 'explosions-sct.tbm' ...
TBM => Starting parse of 'debris-sct.tbm' ...
TBM => Starting parse of 'cylonHud-sct.tbm' ...
SCRIPTING: Inititialization complete.
SCRIPTING: Splash screen overrides checked
SCRIPTING: Splash screen conditional hook has been run
Using high memory settings...
Wokka! Error opening file (interface.tbl)!
WMCGUI: Unable to parse 'interface.tbl'! Error message = Failed to open file.
Initializing Joystick...
Printing joystick info:
  Joystick name: T.Flight Hotas X
  Joystick GUID: 4F0400000000000008B1000000000000
  Joystick ID: 0
  Joystick device ID: 0
  Using 'T.Flight Hotas X' as the primary joystick

  Number of axes: 5
  Number of buttons: 12
  Number of hats: 1
  Number of trackballs: 0

  Initializing Haptic...
  Available haptic devices:
    <none>
    ERROR: Unable to open haptic joystick: Haptic: There are 0 haptic devices available
Current soundtrack set to -1 in event_music_reset_choices
Warning: "$allow primary link delay" flag is deprecated in favor of "$allow primary link at mission start"
BMPMAN: Found EFF (Exp_Nuke.eff) with 86 frames at 24 fps.
BMPMAN: Found EFF (Exp_Fighter_Norm.eff) with 71 frames at 30 fps.
BMPMAN: Found EFF (Exp_Fighter_Vapor.eff) with 92 frames at 30 fps.
BMPMAN: Found EFF (Exp_Flak_Big.eff) with 120 frames at 20 fps.
BMPMAN: Found EFF (Exp_Flak_Small.eff) with 98 frames at 30 fps.
BMPMAN: Found EFF (Exp_Medium.eff) with 100 frames at 30 fps.
BMPMAN: Found EFF (Exp_Missile_Small.eff) with 45 frames at 30 fps.
BMPMAN: Found EFF (Exp_Missile_EMP.eff) with 72 frames at 30 fps.
BMPMAN: Found EFF (Exp_Huge.eff) with 106 frames at 30 fps.
BMPMAN: Found EFF (Exp_Large.eff) with 125 frames at 25 fps.
BMPMAN: Found EFF (Exp_Nuke_Big.eff) with 64 frames at 15 fps.
TBM => Starting parse of 'weak-wep.tbm' ...
TBM => Starting parse of 'objecttypes-obt.tbm' ...
BMPMAN: Found EFF (Thruster_Col_Fire.eff) with 20 frames at 25 fps.
BMPMAN: Found EFF (Thruster_Jets.eff) with 3 frames at 25 fps.
$Ship in hud_gauges.tbl and -hdg.tbms is deprecated. Use "$Ships: ("Some ship class") instead.
BMPMAN: Found EFF (col_miscbargauge.eff) with 11 frames at 1 fps.
BMPMAN: Found EFF (Throttle_Default.eff) with 4 frames at 1 fps.
BMPMAN: Found EFF (Threat_Arc_Default.eff) with 2 frames at 1 fps.
BMPMAN: Found EFF (Threat_Dumb_Default.eff) with 3 frames at 1 fps.
BMPMAN: Found EFF (Threat_Lock_Default.eff) with 3 frames at 1 fps.
BMPMAN: Found EFF (Dummy.eff) with 4 frames at 1 fps.
BMPMAN: Found EFF (Energy_Big_Default.eff) with 4 frames at 1 fps.
BMPMAN: Found EFF (Energy_Default.eff) with 4 frames at 1 fps.
hud_gauges.tbl(line 74): Warning: Detected invalid tokens while parsing HUD gauges: [Text Moves: true]
WARNING: "hud_gauges.tbl(line 74): Warning: Detected invalid tokens while parsing HUD gauges: [Text Moves: true]" at parselo.cpp:288
BMPMAN: Found EFF (Flight_Path_Default.eff) with 1 frames at 1 fps.
BMPMAN: Found EFF (Warhead_Icon_Default.eff) with 1 frames at 1 fps.
BMPMAN: Found EFF (Leadsight_Default.eff) with 2 frames at 1 fps.
BMPMAN: Found EFF (col_weapons_h.eff) with 1 frames at 1 fps.
BMPMAN: Found EFF (col_weapons_list.eff) with 1 frames at 1 fps.
BMPMAN: Found EFF (Wingman_Left_Default.eff) with 1 frames at 1 fps.
BMPMAN: Found EFF (Wingman_Entry_Default.eff) with 1 frames at 1 fps.
PNG warning while reading header of Wingman_Entry_Default_0000: iCCP: known incorrect sRGB profile
BMPMAN: Found EFF (Wingman_Dot_Default.eff) with 2 frames at 1 fps.
BMPMAN: Found EFF (Lock_Ind_Default.eff) with 10 frames at 20 fps.
BMPMAN: Found EFF (Locked_Ind_Default.eff) with 1 frames at 5 fps.
BMPMAN: Found EFF (Reticle_Center_Default.eff) with 1 frames at 1 fps.
ANI Support_Default with size 108x24 (25.0% wasted)
BMPMAN: Found EFF (Direct_Top_Default.eff) with 1 frames at 1 fps.
BMPMAN: Found EFF (Direct_Entry_Default.eff) with 1 frames at 1 fps.
BMPMAN: Found EFF (TargetMon_Main_Default.eff) with 2 frames at 1 fps.
ANI TargetMon_Bar_Default with size 4x96 (25.0% wasted)
BMPMAN: Found EFF (TargetMon_Alpha.eff) with 1 frames at 1 fps.
ANI targhit1 with size 31x21 (34.4% wasted)
BMPMAN: Found EFF (netlag1.eff) with 2 frames at 1 fps.
$Ship in hud_gauges.tbl and -hdg.tbms is deprecated. Use "$Ships: ("Some ship class") instead.
$Ship in hud_gauges.tbl and -hdg.tbms is deprecated. Use "$Ships: ("Some ship class") instead.
hud_gauges.tbl(line 772): Warning: Detected invalid tokens while parsing HUD gauges: [Text Moves: true]
WARNING: "hud_gauges.tbl(line 772): Warning: Detected invalid tokens while parsing HUD gauges: [Text Moves: true]" at parselo.cpp:288
TagsMac, OS X
Attached Files

-Relationships
+Relationships

-Notes

~0016870

m_m (developer)

The dialog you encountered is just a warning, you can skip it by clicking "continue".

This is definitely something specific to Mac since I have no issues with Diaspora on Linux with 3.7.5.

~0016871

jg18 (developer)

Last edited: 2017-03-02 05:20

View 2 revisions

Probably (?) not related but AFAIK there are no public builds of wxL for Mac that are able to properly launch FSO post-3.7.4. If you PM me on HLP to remine me, I can get you an unofficial build of wxL for Mac that should be compatible with 3.7.5.

Also, on the FSO GitHub issues page there is at least one issue related to graphical issues on Mac, could it be related?

https://github.com/scp-fs2open/fs2open.github.com/issues/969

You may also want to look at the full FSO GitHub open issues list in case there are any other relevant open issues for Mac.

~0016872

davidcgc (reporter)

m_m:
I did click Continue, that's when the game minimized itself and started hanging on a black screen.

jg18:
That Youtube video in the GitHub issue looks a lot like what I'm seeing with regards to the main ship models. I tried disabling Deferred Lighting as suggested in that thread, and it had no effect.

The March 2 build, c154581, has a new, more terrifying problem: No matter what resolution I select, the UI comes up at at least double my screen size (zoomed in, it seems). The cursor is the size it would be for my regular resolution. I can't move my cursor outside the bounds of my screen, so it doesn't seem to be an overscan thing.

~0016873

m_m (developer)

That last issue should be fixed again now, try again with the newest nightly.

There is an option for disabling the dialogs. It should be in the last section of the launcher and be called something like "Disable interactive dialogs".

~0016874

davidcgc (reporter)

I've gotten the new launcher from jg18. The "Disable Deferred Lighting" flag now works as a workaround (the fill/ambient light is too bright, and the specularity isn't as hot as it should be, but at least all the expected lighting passes are visible). Post-processing effects like bloom and grain have also returned. The March 3 build did fix the giant interface bug. The smaller glitches with the radar icons and ship outline are still present.

It seems that's that, for now. I'll keep an eye out for any updates on the Mac Deferred Lighting front.

~0016884

m_m (developer)

The latest nightly has a fix for deferred lighting. Maybe that fixes your issue.

~0016885

davidcgc (reporter)

It seems to have fixed it. I turned deferred lighting on with that Nightly, and everything looks fine. A bit different than it was, but my understanding is that the whole lighting/rendering system is revamped, so it's understandable that the assets might need to be adjusted to match the original look.

~0016886

davidcgc (reporter)

^Actually, double checking, what seems to have happened is that it looks identical to when "Disable Deferred Lighting" is checked. I'm not sure what that means. Still, as long as it's not outright ugly, I'll call it fixed.

~0016887

m_m (developer)

Yeah, the new system looks a bit different but it can also be much prettier now.

Since this has been fixed, I'll close this issue.

~0016888

m_m (developer)

This has been fixed by 8caaf5c00cc10126bddf055df49bacd2aec0712e.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-02 01:19 davidcgc New Issue
2017-03-02 01:19 davidcgc File Added: Diaspora_Mac_Graph_Bug.jpg
2017-03-02 01:19 davidcgc Tag Attached: Mac
2017-03-02 01:19 davidcgc Tag Attached: OS X
2017-03-02 05:05 m_m Note Added: 0016870
2017-03-02 05:19 jg18 Note Added: 0016871
2017-03-02 05:20 jg18 Note Edited: 0016871 View Revisions
2017-03-02 21:58 davidcgc Note Added: 0016872
2017-03-03 04:11 m_m Note Added: 0016873
2017-03-03 20:15 davidcgc Note Added: 0016874
2017-03-18 06:22 m_m Note Added: 0016884
2017-03-18 14:05 davidcgc Note Added: 0016885
2017-03-18 14:07 davidcgc Note Added: 0016886
2017-03-18 14:08 m_m Note Added: 0016887
2017-03-18 14:10 m_m Assigned To => Swifty
2017-03-18 14:10 m_m Status new => resolved
2017-03-18 14:10 m_m Resolution open => fixed
2017-03-18 14:10 m_m Fixed in Version => 3.8
2017-03-18 14:10 m_m Note Added: 0016888
+Issue History